classification
Title: Copy modified blurbs to idlelib/NEWS.txt for 3.7.0
Type: enhancement Stage: patch review
Components: IDLE Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2017-07-14 03:51 by terry.reedy, last changed 2018-05-20 03:50 by terry.reedy.

Pull Requests
URL Status Linked Edit
PR 2703 merged terry.reedy, 2017-07-14 03:57
PR 2948 merged terry.reedy, 2017-07-30 06:31
PR 2949 merged terry.reedy, 2017-07-30 10:41
PR 3098 merged terry.reedy, 2017-08-15 22:56
PR 3099 merged terry.reedy, 2017-08-15 23:16
PR 3503 merged terry.reedy, 2017-09-11 20:24
PR 3504 merged python-dev, 2017-09-11 20:43
PR 3635 merged terry.reedy, 2017-09-17 23:34
PR 3637 merged python-dev, 2017-09-18 00:14
PR 4025 merged terry.reedy, 2017-10-17 22:06
PR 4028 merged python-dev, 2017-10-17 23:02
PR 4701 merged terry.reedy, 2017-12-04 19:23
PR 4702 merged python-dev, 2017-12-04 19:49
PR 4706 merged terry.reedy, 2017-12-04 21:28
PR 4707 merged python-dev, 2017-12-04 22:05
PR 4777 merged terry.reedy, 2017-12-10 00:14
PR 4780 merged python-dev, 2017-12-10 09:10
PR 5508 merged terry.reedy, 2018-02-03 05:24
PR 5539 merged terry.reedy, 2018-02-04 23:38
PR 5540 merged miss-islington, 2018-02-05 01:16
PR 5545 merged terry.reedy, 2018-02-05 06:25
PR 5932 merged terry.reedy, 2018-02-27 23:19
PR 5933 merged miss-islington, 2018-02-27 23:36
PR 5934 merged miss-islington, 2018-02-27 23:37
PR 6873 merged terry.reedy, 2018-05-15 19:01
PR 6881 merged miss-islington, 2018-05-15 21:43
PR 6882 merged miss-islington, 2018-05-15 21:44
PR 6888 merged terry.reedy, 2018-05-16 02:11
PR 6995 merged terry.reedy, 2018-05-20 01:05
PR 6996 merged miss-islington, 2018-05-20 01:40
PR 6997 merged terry.reedy, 2018-05-20 02:06
Messages (37)
msg298333 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-14 03:51
As I prepare blurbs, I copy to a private file, replacing 'IDLE' with bpo-nnnnn.  And maybe edit a bit more, maybe not.  I occasionally copy batches to idlelib/NEWS.txt.  The first 2 times with git, I marked PR as trivial, but decided to open this continuing issue to record merges.

A script could be written to do this automatically, but it would have to be run just before the blurbs are moved into Python's NEWS.
msg298337 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-14 04:50
Backport of 2703 is 2704, which has been merged.  Somehow bpo# on title got stripped and I did not notice until merged, and merge was allowed without trivial tag.

NOTE: THE DOUBLE SPACING AFTER THE SEPARATOR LINE IS INTENTIONAL, to avoid backport merge conflicts.
msg299496 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-30 10:25
New changeset c3aa47f655abe564a2c2fb6d091ab19bdc0113b5 by Terry Jan Reedy in branch 'master':
bpo-30928: Update IDLE News.txt. (#2948)
https://github.com/python/cpython/commit/c3aa47f655abe564a2c2fb6d091ab19bdc0113b5
msg299504 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-30 17:35
New changeset c9c85321df7803137a413d26db41aaa377b13d79 by Terry Jan Reedy in branch '3.6':
[3.6] bpo-30928: Update IDLE News.txt. (GH-2948) (#2949)
https://github.com/python/cpython/commit/c9c85321df7803137a413d26db41aaa377b13d79
msg299727 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-04 01:56
Next patch should correct bp0-30723.
msg300317 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 23:15
New changeset 7f066844a79ea201a28b9555baf4bceded90484f by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2017-08-15. (#3098)
https://github.com/python/cpython/commit/7f066844a79ea201a28b9555baf4bceded90484f
msg300321 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 23:41
New changeset de36ba065e933648f5687998021175cf21d4564b by Terry Jan Reedy in branch '3.6':
[3.6] bpo-30928: Update idlelib/NEWS.txt to 2017-08-15. (GH-3098) (#3099)
https://github.com/python/cpython/commit/de36ba065e933648f5687998021175cf21d4564b
msg301899 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-11 20:43
New changeset 8239fd704637d7cbf59273883fbe487fc0f568fc by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2017-09-11. (#3503)
https://github.com/python/cpython/commit/8239fd704637d7cbf59273883fbe487fc0f568fc
msg301910 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-11 21:50
New changeset 99b941b420d63027654dc6722f1648a8f36d2925 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-30928: Update idlelib/NEWS.txt to 2017-09-11. (GH-3503) (#3504)
https://github.com/python/cpython/commit/99b941b420d63027654dc6722f1648a8f36d2925
msg301911 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-11 21:51
Making the upper merge context be

"====================================


" (a line of equals and 2 blanks) has worked great to eliminate backport merge conflicts.)
msg302394 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-17 23:38
This should prepare IDLE for 3.6.3 and 3.7.0a1 cutoff tomorrow morning.
msg302398 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-18 00:14
New changeset 55679e0ec76ee3b30ca609948f47bb02a8e0a078 by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2017 Sep 17. (#3635)
https://github.com/python/cpython/commit/55679e0ec76ee3b30ca609948f47bb02a8e0a078
msg302403 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-18 01:10
New changeset 84c89ef4e5086e71e3d9ee65cd3620bf8174c9ac by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-30928: Update idlelib/NEWS.txt to 2017 Sep 17. (GH-3635) (#3637)
https://github.com/python/cpython/commit/84c89ef4e5086e71e3d9ee65cd3620bf8174c9ac
msg304544 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-10-17 23:02
New changeset 27288de0856c6fbe56354adb312ae706ce8bc7de by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2017 Oct 17. (#4025)
https://github.com/python/cpython/commit/27288de0856c6fbe56354adb312ae706ce8bc7de
msg304546 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-10-17 23:53
New changeset 98e0f26f2e4cbf5c2ca27b39f43c1cb0114c6e3c by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-30928: Update idlelib/NEWS.txt to 2017 Oct 17. (GH-4025) (#4028)
https://github.com/python/cpython/commit/98e0f26f2e4cbf5c2ca27b39f43c1cb0114c6e3c
msg307592 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-12-04 19:48
New changeset 21255fc3932a60c064f85c0fe68f2840f390ebe4 by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2017 Dec 3. (#4701)
https://github.com/python/cpython/commit/21255fc3932a60c064f85c0fe68f2840f390ebe4
msg307595 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-12-04 20:23
New changeset 6e687948b0025a1ab0d0773efe62ce64f0c745fc by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
bpo-30928: Update idlelib/NEWS.txt to 2017 Dec 3. (GH-4701) (#4702)
https://github.com/python/cpython/commit/6e687948b0025a1ab0d0773efe62ce64f0c745fc
msg307600 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-12-04 22:04
New changeset 2c0c68d927bfa557f98bac26644f5b64c4b135a7 by Terry Jan Reedy in branch 'master':
bpo-30928: update idlelib/NEWS.txt. (#4706)
https://github.com/python/cpython/commit/2c0c68d927bfa557f98bac26644f5b64c4b135a7
msg307673 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-12-05 18:44
New changeset 7a6f28f2802db3da79b3c2bd5d75e40eb0709744 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
bpo-30928: update idlelib/NEWS.txt. (GH-4706) (#4707)
https://github.com/python/cpython/commit/7a6f28f2802db3da79b3c2bd5d75e40eb0709744
msg311537 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-03 05:52
New changeset 72584d23a54855ef5843d7475b7c5a904e3ef713 by Terry Jan Reedy in branch '3.6':
[3.6] bpo-30928: prepare idlelib/NEWS.txt for 3.6.5 entries. (#5508)
https://github.com/python/cpython/commit/72584d23a54855ef5843d7475b7c5a904e3ef713
msg311624 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-04 23:11
Add 1 new entry to all 3 versions.  There will likely be merge conflicts to be resolved because the lower context is not the same, but this should establish a uniform lower context for the immediate future.
msg311626 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-04 23:28
Correction: entries currently go under "What's New in IDLE 3.7.0" for both master and 3.7 branches.  Each "What's New in IDLE 3.x.0" is "since 3.(x-1).0 was released.  (We used to not branch off x+1 until the first x.0rc1, instead of at x.0b1, so the overlap was much less.)  I will edit to make that explicit.  So only 3.6 should have conflicts.
msg311631 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-05 01:18
New changeset 4abcbc0f0de8dc3c245950e118cd9d374dbfe42b by Terry Jan Reedy (Miss Islington (bot)) in branch '3.7':
bpo-30928: IDLE - update NEWS.txt. (GH-5539) (GH-5540)
https://github.com/python/cpython/commit/4abcbc0f0de8dc3c245950e118cd9d374dbfe42b
msg311649 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-05 08:14
New changeset 7bd5a75bbe28219d3fc18a239c2c554d1850abcb by Terry Jan Reedy in branch '3.6':
bpo-30928: IDLE - update NEWS.txt [GH-5539] (GH-5545)
https://github.com/python/cpython/commit/7bd5a75bbe28219d3fc18a239c2c554d1850abcb
msg313036 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-27 23:33
I plan to start a new issue for 3.8.0 when 3.7.0rc1 is released and 'What's new in 3.8.0 (since 3.7.0)' is added to master. IDLE PRs after rc1 that are not an emergency fix will go into 3.7.1
msg313037 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-27 23:36
New changeset 0954c9e9c8fbea452f56120df592f2061d3209c7 by Terry Jan Reedy in branch 'master':
bpo-30928:  Update idlelib/NEWS.txt, possibly for 3.7.0b2  (GH-5932)
https://github.com/python/cpython/commit/0954c9e9c8fbea452f56120df592f2061d3209c7
msg313041 - (view) Author: miss-islington (miss-islington) Date: 2018-02-28 00:07
New changeset 0ea49fc0bfa10205895f9fb78b4d6659b2946883 by Miss Islington (bot) in branch '3.7':
bpo-30928:  Update idlelib/NEWS.txt, possibly for 3.7.0b2  (GH-5932)
https://github.com/python/cpython/commit/0ea49fc0bfa10205895f9fb78b4d6659b2946883
msg313042 - (view) Author: miss-islington (miss-islington) Date: 2018-02-28 00:31
New changeset 8c65360dd0c1ea5b5d2e60a0694daf3f9df8f56b by Miss Islington (bot) in branch '3.6':
bpo-30928:  Update idlelib/NEWS.txt, possibly for 3.7.0b2  (GH-5932)
https://github.com/python/cpython/commit/8c65360dd0c1ea5b5d2e60a0694daf3f9df8f56b
msg316444 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-13 02:39
Testing undocumented issue.message reference I remember seeing somewhere: #11077.msg183774, #11077.183774
msg316445 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-13 02:41
I was looking for a way to link to a message in the context of an issue rather that on a page by itself.  Neither worked.
msg316736 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-15 21:41
New changeset 038b21f2caaed0f02fee524277cc61e2c6ae0e9a by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt to 2018-05-14. (#6873)
https://github.com/python/cpython/commit/038b21f2caaed0f02fee524277cc61e2c6ae0e9a
msg316750 - (view) Author: miss-islington (miss-islington) Date: 2018-05-16 00:48
New changeset 3d484435d261ef6e3204902f50778b545428dd7e by Miss Islington (bot) in branch '3.7':
bpo-30928: Update idlelib/NEWS.txt to 2018-05-14. (GH-6873)
https://github.com/python/cpython/commit/3d484435d261ef6e3204902f50778b545428dd7e
msg316753 - (view) Author: miss-islington (miss-islington) Date: 2018-05-16 01:14
New changeset 47793dec38b9485601a1b2fae90d5f19c3442434 by Miss Islington (bot) in branch '3.6':
bpo-30928: Update idlelib/NEWS.txt to 2018-05-14. (GH-6873)
https://github.com/python/cpython/commit/47793dec38b9485601a1b2fae90d5f19c3442434
msg316772 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-16 06:39
New changeset 8fa36b6be47356f8e42a8bd0b3dba24a8fbd6c35 by Terry Jan Reedy in branch '3.6':
bpo-30928: update idlelib/NEWS.txt for 3.6. (#6888)
https://github.com/python/cpython/commit/8fa36b6be47356f8e42a8bd0b3dba24a8fbd6c35
msg317147 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-20 01:38
New changeset 6b0d09b8f06e6967fa3d41425cecf6499a353a6d by Terry Jan Reedy in branch 'master':
bpo-30928: Update idlelib/NEWS.txt. (#6995)
https://github.com/python/cpython/commit/6b0d09b8f06e6967fa3d41425cecf6499a353a6d
msg317148 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-20 02:01
New changeset 222ae1eccc819d82fcadbb3c9e1fba83339cc5c6 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.7':
bpo-30928: Update idlelib/NEWS.txt. (GH-6995) (#6996)
https://github.com/python/cpython/commit/222ae1eccc819d82fcadbb3c9e1fba83339cc5c6
msg317152 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-20 03:50
New changeset 09a5c077bd8d444e9701b4d1314160b8904434e0 by Terry Jan Reedy in branch '3.6':
[3.6] bpo-30928: Update idlelib/NEWS.txt. (GH-6995) (GH-6997)
https://github.com/python/cpython/commit/09a5c077bd8d444e9701b4d1314160b8904434e0
History
Date User Action Args
2018-05-20 03:50:23terry.reedysetmessages: + msg317152
2018-05-20 02:06:28terry.reedysetpull_requests: + pull_request6649
2018-05-20 02:01:28terry.reedysetmessages: + msg317148
2018-05-20 01:40:01miss-islingtonsetpull_requests: + pull_request6648
2018-05-20 01:38:49terry.reedysetmessages: + msg317147
2018-05-20 01:05:19terry.reedysetpull_requests: + pull_request6647
2018-05-16 06:39:16terry.reedysetmessages: + msg316772
2018-05-16 02:11:16terry.reedysetpull_requests: + pull_request6561
2018-05-16 01:14:53miss-islingtonsetmessages: + msg316753
2018-05-16 00:48:21miss-islingtonsetmessages: + msg316750
2018-05-15 21:44:08miss-islingtonsetpull_requests: + pull_request6555
2018-05-15 21:43:09miss-islingtonsetpull_requests: + pull_request6554
2018-05-15 21:41:59terry.reedysetmessages: + msg316736
2018-05-15 19:01:24terry.reedysetpull_requests: + pull_request6547
2018-05-13 02:41:48terry.reedysetmessages: + msg316445
2018-05-13 02:39:46terry.reedysetmessages: + msg316444
2018-02-28 00:31:32miss-islingtonsetmessages: + msg313042
2018-02-28 00:07:51miss-islingtonsetnosy: + miss-islington
messages: + msg313041
2018-02-27 23:37:32miss-islingtonsetpull_requests: + pull_request5706
2018-02-27 23:36:37miss-islingtonsetpull_requests: + pull_request5705
2018-02-27 23:36:24terry.reedysetmessages: + msg313037
2018-02-27 23:33:21terry.reedysetmessages: + msg313036
title: Copy modified blurbs to idlelib/NEWS.txt -> Copy modified blurbs to idlelib/NEWS.txt for 3.7.0
2018-02-27 23:19:33terry.reedysetpull_requests: + pull_request5704
2018-02-05 08:14:17terry.reedysetmessages: + msg311649
2018-02-05 06:25:19terry.reedysetpull_requests: + pull_request5371
2018-02-05 01:18:41terry.reedysetmessages: + msg311631
2018-02-05 01:16:40miss-islingtonsetpull_requests: + pull_request5365
2018-02-04 23:38:08terry.reedysetpull_requests: + pull_request5364
2018-02-04 23:28:00terry.reedysetmessages: + msg311626
2018-02-04 23:11:25terry.reedysetmessages: + msg311624
versions: + Python 3.8
2018-02-03 05:52:36terry.reedysetmessages: + msg311537
2018-02-03 05:24:46terry.reedysetpull_requests: + pull_request5341
2017-12-10 09:10:37python-devsetpull_requests: + pull_request4681
2017-12-10 00:14:03terry.reedysetpull_requests: + pull_request4678
2017-12-05 18:44:11terry.reedysetmessages: + msg307673
2017-12-04 22:05:28python-devsetpull_requests: + pull_request4619
2017-12-04 22:04:17terry.reedysetmessages: + msg307600
2017-12-04 21:28:48terry.reedysetpull_requests: + pull_request4618
2017-12-04 20:23:21terry.reedysetmessages: + msg307595
2017-12-04 19:49:38python-devsetpull_requests: + pull_request4614
2017-12-04 19:48:28terry.reedysetmessages: + msg307592
2017-12-04 19:23:41terry.reedysetpull_requests: + pull_request4613
2017-10-17 23:53:14terry.reedysetmessages: + msg304546
2017-10-17 23:02:58python-devsetpull_requests: + pull_request4003
2017-10-17 23:02:51terry.reedysetmessages: + msg304544
2017-10-17 22:06:50terry.reedysetpull_requests: + pull_request4000
2017-09-18 01:10:56terry.reedysetmessages: + msg302403
2017-09-18 00:14:31python-devsetstage: needs patch -> patch review
pull_requests: + pull_request3629
2017-09-18 00:14:24terry.reedysetmessages: + msg302398
2017-09-17 23:38:13terry.reedysetmessages: + msg302394
stage: patch review -> needs patch
2017-09-17 23:34:07terry.reedysetstage: needs patch -> patch review
pull_requests: + pull_request3626
2017-09-11 21:51:38terry.reedysetmessages: + msg301911
stage: patch review -> needs patch
2017-09-11 21:50:43terry.reedysetmessages: + msg301910
2017-09-11 20:43:35python-devsetpull_requests: + pull_request3497
2017-09-11 20:43:27terry.reedysetmessages: + msg301899
2017-09-11 20:24:32terry.reedysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3496
2017-08-15 23:41:08terry.reedysetmessages: + msg300321
2017-08-15 23:16:51terry.reedysetpull_requests: + pull_request3138
2017-08-15 23:15:06terry.reedysetmessages: + msg300317
2017-08-15 22:56:03terry.reedysetpull_requests: + pull_request3137
2017-08-04 01:56:43terry.reedysetmessages: + msg299727
2017-07-30 17:35:48terry.reedysetmessages: + msg299504
2017-07-30 10:41:09terry.reedysetpull_requests: + pull_request2998
2017-07-30 10:25:25terry.reedysetmessages: + msg299496
2017-07-30 06:31:56terry.reedysetpull_requests: + pull_request2997
2017-07-14 04:50:55terry.reedysetmessages: + msg298337
2017-07-14 03:57:29terry.reedysetpull_requests: + pull_request2769
2017-07-14 03:51:28terry.reedycreate